<% 
  cbox = %Q!<input checked="checked" id="ve_#{started.veid}_radio" name="id" type="radio" value="#{started.veid}" />!


  ips_html =
    LocalIP.find_all_by_veid(started.veid).collect do |lip|
      "<b>IP</b> #{lip.ip}<br />"
    end

  netifs_html =
    NetworkInterface.find_all_by_veid(started.veid).collect do |netif|
      #%Q!#{netif.name} <input name="button"
      #             style="width: 5em;" type="submit"
      #             value="Remove" /><br />!
      "<li style=\"margin: 0; margin-bottom: 0.5em;\">#{netif.name}</li>"
    end

  add_netif_form = %Q!
    <div style="white-space: nowrap;">

       <div><input name="button"
                   style="width: 13em;" type="submit" 
                   value="Add Network Interface" 
  onclick="document.getElementById('ve_#{started.veid}_radio').checked='checked'; "/></div>
       <div>         
         <label for="name">with Name:</label>
         <input name="name" size="10" type="text" value="eth0" 
  onfocus="document.getElementById('ve_#{started.veid}_radio').checked='checked';" />
       </div>

    </div>
  !

  out = [
    "<h1 style=\"margin-bottom: 0.3em\">#{cbox} VE #{h(started.caption)}</h1>",
    "<div class=\"tags\">#{@tags[started.veid].join(' ')}</div>",
    "<b>IP</b> #{started.ip}<br /><br />",
    ips_html.join("\n"),
    no_wrap(link_to("Add IP", 
                    :action => 'add_ip',
		    :controller => 'nucleus', 
                    :id => started.veid)),
    '<br />',
    '<ul style="margin: 0; padding: 0; margin-left: 1em;">',
    netifs_html.join("\n"),
    '</ul>',
    add_netif_form,
    '<br />',

    '<div>',
    no_wrap(link_to("Traditional Terminal", 
                    :action => 'traditional_terminal',
		    :controller => 'terminal', 
                    :id => started.veid)),
    '</div>',

    '<div>',
    no_wrap(link_to ("Web Based Terminal", 
                    :action => 'ajaxterm', 
	            :controller => 'terminal', 
                    :id => started.veid)),
    '</div>',
    '<br />',

    '<div>',
    no_wrap(link_to ("Change Password", 
                    :action => 'reset_password', 
	            :controller => 'nucleus', 
                    :id => started.veid)),
    '</div>'
  ]
-%>

<div id="area_item">
  <%=out.join("\n")%>
</div>
